function z = znkBasisOSAVec(p, r, phi),

% ZNKBASISOSAVEC Vector of Zernikie (OSA) terms 
%
% ZNKBASISOSAVEC(p, r, phi). The term list (p), polar 
% co-ordinate (r, phi).
%
% NOTE : 
% matrix where N rows are terms for each (r_i, phi_i) (i = 1 ... N)
% and the columns are for the M terms (j = 1 ... M) 
%
%

% added matrix return capability
r   = r(:);
phi = phi(:);

% if (size(p,1) > 66),
   for l=1:size(p,1),
       z(:,l) = znkBasisOSA(r, phi, p(l,1), p(l,2));
   end
% else
%    z = znkQuickBasis(r, phi, size(p,1)-1);
% end

% keyboard;

return

