function kt = bsp1duniknts(rng, cp, k),

% BSP1DNPKNTS non-periodic b-spline with uniform
% internal knots. Repeated multiplicity at the 
% ends
% 
%   kt = bsp1duniknts(rng, cp, k),
%
% where 
%       n1 = control points (i = 0....n)
%       r1 = range of the b-spline 
%       k  = (p+1) b-spline order
%       p  = degree 

error('this seems to be wrong ... use bsp1dnpknts');

d = cp-2*k+1;

if (d < 1) 
    disp('order too small for # control points.');
    kt = [];
    return
end

mystep = cp - k + 2;
stp = ((rng(2) - rng(1))/(mystep-1));

kt  = rng(1):stp:rng(2);

sr1  = rng(1);
sr1  = sr1(:,ones([ 1 k-1]));

sr2  = rng(2);
sr2  = sr2(:,ones([ 1 k-1]));

kt  = [ sr1 kt sr2 ];

return
